package com.liangjian.dataplatform.member.entity.po.secondary;


import java.util.List;
import java.util.Map;

public class FiltersUtils {

        //查询添加
        private String field;
        private String operate;
        private String value;

        //定价
        private String MarketIng;
        private String MarketPrice;
        private String productCode;
        private String id;
        private int level;
        private String name;

        //分类
        private int code;
        private String typeId;
        private String typeName;

        private String productName;
        private String orderCode;
        private String ordesc;
        private String orurl;
        private String oredit;

        //库存
        private Integer num;
        private String remark;

        private String target;

        private List<Map<String, Object>> rules;


    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public List<Map<String, Object>> getRules() {return rules;}

    public void setRules(List<Map<String, Object>> rules) {this.rules = rules;}

    public String getOredit() {
        return oredit;
    }

    public void setOredit(String oredit) {
        this.oredit = oredit;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOrdesc() {
        return ordesc;
    }

    public void setOrdesc(String ordesc) {
        this.ordesc = ordesc;
    }

    public String getOrurl() {
        return orurl;
    }

    public void setOrurl(String orurl) {
        this.orurl = orurl;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getMarketIng() {
        return MarketIng;
    }

    public void setMarketIng(String marketIng) {
        MarketIng = marketIng;
    }

    public String getMarketPrice() {
        return MarketPrice;
    }

    public void setMarketPrice(String marketPrice) {
        MarketPrice = marketPrice;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
